#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <sys/stat.h>

int main(int argc, char** argv)
{
	struct stat st;
	int retval = stat(argv[1], &st);
	if (retval < 0)
		printf("retval negative, that's an error\n");
	else
		printf("retval seems good\n");
	
	printf("retval [%d] errno [%d]\n", retval, errno);

	if (retval < 0)
		printf("strerror: [%s]\n", strerror(errno));
	
	if (errno == ENOENT)
		printf("yes enoent, [%d] == [%d]", errno, ENOENT);
	else
		printf("not enoent, [%d] != [%d]", errno, ENOENT);
	
	if (retval < 0)
		return -1;
	
	printf("file size  [%ld]\n", st.st_size);
	printf("file mtime [%ld]\n", st.st_mtime);
	printf("file inode [%ld]\n", st.st_ino);
}
